function onBegin()
    disableMovement()

    wait(2)

    say("GREENcontest25_grog_intro_A")

    setFlag("introBlack", true)

    wait(2)

    say("GREENcontest25_grog_intro_B")

    playMusic("event:/grog_greenside/intro_fanfare")

    wait(4.9)

    setFlag("titleCard_A", true)

    wait(6.45)

    setFlag("titleCard_B", true)

    wait(3.75)

    setFlag("titleCard_C", true)

    wait(7.55)

    setFlag("titleCard_D", true)

    wait(7)

    setFlag("titleCard_A", false)
    setFlag("titleCard_B", false)
    setFlag("titleCard_C", false)
    setFlag("titleCard_D", false)

    wait(1)

    say("GREENcontest25_grog_intro_C")

    setFlag("fadeToWhite", true)

    wait(5)

    
    setFlag("instantBlack", true)

    wait(0.3)

    setFlag("fadeToWhite", false)

    wait(2)
end

function onEnd(room, wasSkipped)
    enableMovement()

    teleportTo(0,0,"f02","WakeUp")

    setFlag("instantBlack", false)
end